Bug 8633 - Split up plugins into separate packages
: Split up plugins into separate packages
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libao)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-13 11:52 by
Modified: 2006-04-29 17:07 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-13 11:52:22
Плагины в одном пакете с основной библиотекой тянут много лишних зависимостей.

Пример: чтобы установить gaim, который зависит от libao, нужно вытянуть еще
libarts и libjack.
------- Comment #1 From 2005-12-13 11:56:35 -------
Предлагаемое решение: выделить плагины в libao-{alsa,arts,esd,nas}. Можно и
-oss
для симметрии.
------- Comment #2 From 2005-12-13 14:56:36 -------
Давно думал об этом. Теперь есть повод это сделать. 
------- Comment #3 From 2005-12-13 14:57:12 -------
(In reply to comment #1) 
> Предлагаемое решение: выделить плагины в libao-{alsa,arts,esd,nas}. Можно и 
-oss 
> для симметрии. 
 
Так и сделаю. 
 
------- Comment #4 From 2005-12-20 01:27:46 -------
В libao-0.8.3-alt3 все плюгины буду разнесены по пакетам.
Т.е. теперь у нас будет libao в котором лежит libao.so.<что-то-там>
libao-oss
libao-alsa
libao-arts
libao-esd
libao-nas
libao-polyp

libao будет по зависимостям тянуть libao-alsa т.к. это интерфейс по умолчанию
для всего звука.
------- Comment #5 From 2005-12-20 02:13:06 -------
(In reply to comment #4)
> libao будет по зависимостям тянуть libao-alsa т.к. это интерфейс по умолчанию
> для всего звука.

Зачем? Если для сборки нужны libao-devel и libao, незачем тянуть в hasher еще и
libao-alsa вместе с libalsa. Пусть клиенты зависят от libao и libao-alsa.

В gstreamer (который на самом деле дюже большой брат libao :)) мы сделали
хитрее: предоставляем виртуально gstreamer(audio-hardware-sink) и
gstreamer(audio-hardware-source) из плагинов alsa и oss, чтобы у пользователей
была возможность выбора. Впрочем, сейчас это уже должно быть неактуально.
------- Comment #6 From 2005-12-25 15:33:15 -------
(In reply to comment #5) 
> (In reply to comment #4) 
> > libao будет по зависимостям тянуть libao-alsa т.к. это интерфейс по 
умолчанию 
> > для всего звука. 
>  
> Зачем? Если для сборки нужны libao-devel и libao, незачем тянуть в hasher еще 
и 
> libao-alsa вместе с libalsa. Пусть клиенты зависят от libao и libao-alsa. 
>  
> В gstreamer (который на самом деле дюже большой брат libao :)) мы сделали 
> хитрее: предоставляем виртуально gstreamer(audio-hardware-sink) и 
> gstreamer(audio-hardware-source) из плагинов alsa и oss, чтобы у 
пользователей 
> была возможность выбора. Впрочем, сейчас это уже должно быть неактуально. 
 
Для сборочной среды это не сильно критично. 
 
А вот для пользователя будет не сильно ясно что надо ещё поставить некий 
libao-alsa что бы у него заиграл звук. 
 
------- Comment #7 From 2005-12-25 15:58:59 -------
(In reply to comment #6)
> А вот для пользователя будет не сильно ясно что надо ещё поставить некий 
> libao-alsa что бы у него заиграл звук. 

Это вопрос организации зависимостей: libao ведь не конечное приложение.
У gstreamer именно приложения проставляют зависимости так, чтобы у них были все
нужные им модули.

------- Comment #8 From 2005-12-25 16:16:44 -------
(In reply to comment #7) 
> (In reply to comment #6) 
> > А вот для пользователя будет не сильно ясно что надо ещё поставить некий  
> > libao-alsa что бы у него заиграл звук.  
>  
> Это вопрос организации зависимостей: libao ведь не конечное приложение. 
> У gstreamer именно приложения проставляют зависимости так, чтобы у них были 
все 
> нужные им модули. 
>  
>  
 
Уговорил. Так и сделаю. 
 
------- Comment #9 From 2005-12-25 16:45:52 -------
fixed in libao-0.8.6-alt3.src.rpm  
------- Comment #10 From 2006-01-24 14:25:18 -------
Сборка не пролезла... 
------- Comment #11 From 2006-02-11 15:02:53 -------
Делай NMU. Я разрешаю. 
У меня нет времени и компьютера сейчас разбиратся с libao. 
 
Не забуть положить diff'ы с изменениями сюда (что бы не потерялось). 
------- Comment #12 From 2006-03-27 19:04:02 -------
братцы, а совместимость кто будет делать ?
обновившись, я не обнаружил ни одного плагина
с вполне предсказуемыми последствиями.
Посему резонным было бы делать не libao-full и
пачку плагинов, а (например):
-- `тонкую' libao-core
-- пачку плагинов
-- libao, c зависимостями на -core и плагины

как-то так.
------- Comment #13 From 2006-03-28 16:33:22 -------
done
------- Comment #14 From 2006-03-29 18:07:39 -------
oss и alsa обратно положите пожалуйста  
------- Comment #15 From 2006-03-29 18:11:59 -------
текущему мантейнеру 
------- Comment #16 From 2006-03-29 19:58:03 -------
(In reply to comment #14)
> oss и alsa обратно положите пожалуйста  
oss-то зачем ?
да и насчёт alsa сильно не уверен.
кстати, идея с зависимостью вида ao(alsa) в приложениях
мне нравится. (jfyi)
------- Comment #17 From 2006-03-29 20:27:41 -------
(In reply to comment #12)
> братцы, а совместимость кто будет делать ?
> обновившись, я не обнаружил ни одного плагина
> с вполне предсказуемыми последствиями.
> Посему резонным было бы делать не libao-full и
> пачку плагинов, а (например):
> -- `тонкую' libao-core
> -- пачку плагинов
> -- libao, c зависимостями на -core и плагины
> 
> как-то так.


Забыл заанонсить...
------- Comment #18 From 2006-03-29 20:50:47 -------
(In reply to comment #14)
> oss и alsa обратно положите пожалуйста  

alsa верну

а oss то зачем? пусть будет отдельно, как сейчас.
------- Comment #19 From 2006-03-30 13:30:21 -------
(In reply to comment #18) 
> а oss то зачем? 
А зачем он отдельным пакетом? 
 
------- Comment #20 From 2006-03-30 13:54:25 -------
(In reply to comment #19)
> (In reply to comment #18) 
> > а oss то зачем? 
> А зачем он отдельным пакетом? 
>  

Ок. Запихаю обратно.
------- Comment #21 From 2006-03-31 14:12:49 -------
fixed in libao-0.8.6-alt6.src.rpm
------- Comment #22 From 2006-04-04 13:34:30 -------
(In reply to comment #21)
> fixed in libao-0.8.6-alt6.src.rpm

Пролезло.